# BackgroundImages(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``BackgroundImages`(bpy_struct)

  Collection of background images

  `new`()

    Add new background image

    Returns: | Image displayed as viewport background
    Return type: | `BackgroundImage`

  `remove`(image)

    Remove background image

    Parameters: | image (`BackgroundImage`, (never None)) – Image displayed as viewport background

  `clear`()

    Remove all background images

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`SpaceView3D.background_images` |